> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create certificates

> Creates a new certificates object with the specified parameters.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /certificates
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /certificates:
    post:
      tags:
        - certificates
      summary: Create certificates
      description: Creates a new certificates object with the specified parameters.
      operationId: createcertificates
      requestBody:
        description: The certificates entity to post
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/certificates'
        required: true
      responses:
        '201':
          description: certificates created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/certificates'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    certificates:
      type: object
      properties:
        Name:
          description: The name of the certificate file.
          type: string
        Data:
          description: The base64 encoded contents of the certificate file.
          type: string
        StoreType:
          description: The store type.
          type: string
        Subject:
          description: The certificate subject.
          type: string
        Issuer:
          description: The issuer of the certificate.
          type: string
        IssuedTo:
          description: The common name of certificate subject.
          type: string
        IssuedBy:
          description: The common name of certificate issuer.
          type: string
        EffectiveDate:
          description: The effective date of the certificate.
          type: string
        ExpirationDate:
          description: The expiration date of the certificate.
          type: string
        ExpirationDays:
          description: The days until the expiration date of the certificate.
          type: integer
          format: int32
        Serialnumber:
          description: The serial number of the certificate.
          type: string
        Thumbprint:
          description: The SHA1 thumbprint of the certificate.
          type: string
        Keysize:
          description: The key size of the certificate.
          type: string
        SignatureAlgorithm:
          description: The algorithm used to sign the certificate.
          type: string
        ConnectorIds:
          description: The Id list of the connectors configured to use the certificate.
          type: string
        AssociatedResource:
          description: >-
            The list of the connector, profile and shared connection configured
            to use the certificate.
          type: string
        Category:
          description: The certificate category (Public or Private).
          type: string
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````